Commit 132d8f17 authored by Duncan Coutts's avatar Duncan Coutts
Browse files

Fix use of deprecated version constructors

parent 7d90a1c5
......@@ -29,7 +29,7 @@ import qualified Paths_cabal_install
import Distribution.Package
( PackageName(..), packageVersion )
import Distribution.Version
( VersionRange(AnyVersion), withinRange )
( anyVersion, withinRange )
import Distribution.Simple.Utils
( warn, notice )
import Distribution.Verbosity
......@@ -66,7 +66,7 @@ checkForSelfUpgrade verbosity repos = do
AvailablePackageDb available prefs <- getAvailablePackages verbosity repos
let self = PackageName "cabal-install"
preferredVersionRange = fromMaybe AnyVersion (Map.lookup self prefs)
preferredVersionRange = fromMaybe anyVersion (Map.lookup self prefs)
currentVersion = Paths_cabal_install.version
laterPreferredVersions =
[ packageVersion pkg
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment